import { defineNuxtConfig } from 'nuxt/config'
import fs from 'fs'
const packageJson = fs.readFileSync('./package.json', 'utf-8')
const version = JSON.parse(packageJson).version || 0

export default defineNuxtConfig({
  srcDir: 'src/',
  ssr: false,
  telemetry: false,
  compatibilityDate: '2025-04-17',
  devtools: {
    enabled: false,
  },
  modules: [
    '@pinia/nuxt',
    'nuxt-icons',
  ],
  runtimeConfig: {
    public: {
      serverBaseUrl: '/',
      version,
    },
  },
})
