import { ref } from 'vue'
import type { Ref } from 'vue'

export type AlertMessages = Array<string>

export interface useAlert {
  setAlert(message: AlertMessages): void
  clearAlert(): void
  getAlertMessagesRef(): Ref<AlertMessages>
}

const alertMessages = ref([] as AlertMessages)

export default (): useAlert => {
  return {
    setAlert: (message: AlertMessages): void => {
      alertMessages.value = message
    },
    clearAlert: ():void => {
      alertMessages.value = []
    },
    getAlertMessagesRef: (): Ref<AlertMessages> => alertMessages
  }
}
