import { defineStore } from 'pinia'
import type { Round, Sources, Selections, Revelation, RevelationVotes, RevelationSources } from '@/composables/engine.d'

export const useRoundStore = defineStore('RoundStore', {
  state: () => {
    return {
      round: {
        quote: '',
        sources: [] as Sources,
        selections: {} as Selections,
        revelation: {
          votes: {} as RevelationVotes,
          sources: {} as RevelationSources,
        } as Revelation,
      } as Round,
    }
  },
  actions: {
    setRound(round: Round): void {
      round = round || {} as Round
      this.round.quote = round.quote || ''
      this.round.sources = round.sources || [] as Sources
      this.round.selections = round.selections || {} as Selections
      this.round.revelation.votes = round.revelation?.votes || {} as RevelationVotes
      this.round.revelation.sources = round.revelation?.sources || {} as RevelationSources
    },
    reset(): void {
      this.round = {
        quote: '',
        sources: [],
        selections: {},
        revelation: {
          votes: {},
          sources: {},
        },
      }
    },
  },
})
