package application

import (
	"fmt"
	"sirlab.de/go/knowyt/game"
)

func (app *Application) modifyUser(id string, gm *game.Game, name, authcode string) error {
	if authcode != "" {
		if usr, err := app.GetUserByAuthcode(authcode); err == nil && usr.GetId() != id {
			return fmt.Errorf("%s authcode already in use", gm.GetId())
		}
	}

	modifyUser := app.users[id]
	if modifyUser.GetId() != id || modifyUser.GetGameId() != gm.GetId() {
		return fmt.Errorf("%s couldn't find player %s in game", gm.GetId(), id)
	}
	modifyUser.SetName(name)
	modifyUser.SetAuthcode(authcode)
	if err := modifyUser.SaveUser(); err != nil {
		return err
	}
	gm.UpdatePlayer(modifyUser)
	return nil
}
