package application

import (
	"fmt"
	"net/http"
	"path"

	"sirlab.de/go/knowyt/log"
	"sirlab.de/go/knowyt/user"
)

func (app *Application) RemoveQuote(usr *user.User, w http.ResponseWriter, r *http.Request) {
	gameRef := r.URL.Query().Get("g")
	gm, err := app.GetGameById(gameRef)
	if err != nil {
		w.WriteHeader(http.StatusNotFound)
		fmt.Fprintf(w, "game not found")
		return
	}

	if usr.GetGameId() != gameRef && !usr.IsGamemaster() {
		w.WriteHeader(http.StatusForbidden)
		fmt.Fprintf(w, "forbidden")
		return
	}

	quoteId := r.URL.Query().Get("id")
	gameDirName := path.Join(app.config.DataDir, "games", gm.GetId())
	quoteFileNameShort := quoteId + ".json"
	quoteFileName := path.Join(gameDirName, "quotes", quoteFileNameShort)

	if err := gm.RemoveQuote(quoteFileName, usr.GetId(), quoteId); err != nil {
		log.ErrorLog(err)
		w.WriteHeader(http.StatusForbidden)
		fmt.Fprintf(w, "forbidden")
		return
	}
	fmt.Fprintf(w, "ok")
}
