package game

func (gm *Game) GetGameState() GameStateJson {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	stateJson := GameStateJson{
		State:        gm.state,
		Scores:       make(map[string]int, 0),
		QuotesPlayed: make([]string, 0),
	}
	for id, pi := range gm.players {
		stateJson.Scores[id] = pi.score
	}
	for id, quote := range gm.quotes {
		if quote.IsPlayed() {
			stateJson.QuotesPlayed = append(stateJson.QuotesPlayed, id)
		}
	}

	return stateJson
}
