package game

import (
	"sirlab.de/go/knowyt/log"
)

func (gm *Game) revealSource() {
	if err := gm.changeGamePhase(STATE_PLAY, PHASE_REVEAL_SHOW_COUNT, PHASE_REVEAL_SOURCE); err != nil {
		log.ErrorLog(err)
		return
	}

	gm.mu.Lock()
	for _, source := range gm.round.sources {
		gm.round.revelation.sources[source.id] = false
	}
	quote := gm.quotes[gm.round.quoteId]
	quote.SetIsPlayed()
	sourceId := quote.GetSourceId()
	gm.round.revelation.sources[sourceId] = true

	for _, p := range gm.players {
		selId := gm.round.selections[p.id]
		if p.id == sourceId {
			continue
		} else if selId == PLAYER_SELECTION_EMPTY || selId == PLAYER_SELECTION_NONE {
			continue
		} else if selId == sourceId {
			p.score += 10
		} else {
			p.score -= 3
		}
		gm.players[p.id] = p
	}

	gm.mu.Unlock()

	gm.notifyClients()
}
