package handler

import (
	"fmt"
	"net/http"

	"sirlab.de/go/knowyt/user"
)

func (authMux *AuthMux) Cameo(usr *user.User, w http.ResponseWriter, r *http.Request) {
	if usr.IsAdmin() {
		cookie := authMux.createCookie()
		cookie.Name = cookie.Name + "-cameo"
		usrCameo, err := authMux.checkAuthCode(r)
		if err != nil {
			http.SetCookie(w, cookie)
			authMux.accessDenied(w, r)
			return
		}

		cookie.Value = usrCameo.GetId()
		cookie.MaxAge = 0
		http.SetCookie(w, cookie)
		w.Header().Add("Content-Type", "text/plain")
		fmt.Fprintf(w, "ok")
		return
	}

	// non-admin: remove cameo cookie
	usrCameo := usr.GetCameo()
	if usrCameo != nil && usrCameo.IsAdmin() {
		cookie := authMux.createCookie()
		cookie.Name = cookie.Name + "-cameo"
		http.SetCookie(w, cookie)
		w.Header().Add("Content-Type", "text/plain")
		fmt.Fprintf(w, "ok")
		return
	}

	authMux.accessDenied(w, r)
}
