package handler

import (
	"fmt"
	"net/http"

	"sirlab.de/go/knowyt/user"
)

func (authMux *AuthMux) checkAuthCode(r *http.Request) (*user.User, error) {
	r.ParseForm()
	form := r.Form
	code := form.Get("code")

	if len(code) != 6 {
		return nil, fmt.Errorf("invalid code \"%s\"", code)
	}

	usr, err := authMux.app.GetUserByAuthcode(code)
	if err != nil {
		return nil, fmt.Errorf("invalid code: \"%s\"", code)
	}

	return usr, nil
}
